> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maesn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get offer line

## Field support per integration

<AccordionGroup>
  <Accordion title="Business Central" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/businesscentral.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=9cdc50aa9f467133e9e9372eab83f38b" width="24" height="24" data-path="logo/businesscentral.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameters `environmentName` and `companyId` are correctly populated.
      You can obtain these values by using the `GET Environments` and `GET Companies` endpoints available under the Authentication section.
    </Note>

    Support rawData: `true`

    <br />

    Supported Response Fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="accountId" type="string" />

    <ResponseField name="description" type="string" />

    <ResponseField name="itemId" type="string" />

    <ResponseField name="quantity" type="number" />

    <ResponseField name="taxCode" type="string" />

    <ResponseField name="taxRatePercentage" type="number" />

    <ResponseField name="type" type="enum">
      Available options (3-letter ISO 4217):
      `ITEM`, `COMMENT`, `ACCOUNT`, `CHARGE`, `VALUE`, `RESOURCE`, `FIXED_ASSET`
    </ResponseField>

    <ResponseField name="totalDiscountAmount" type="number" />

    <ResponseField name="totalDiscountPercentage" type="number" />

    <ResponseField name="totalGrossAmount" type="number" />

    <ResponseField name="totalNetAmount" type="number" />

    <ResponseField name="totalTaxAmount" type="number" />

    <ResponseField name="unitAmount" type="number" />

    <ResponseField name="unitName" type="string" />
  </Accordion>

  <Accordion title="Sage Active" icon="https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sageactive.svg?fit=max&auto=format&n=gCd41Ws3USFubam4&q=85&s=db4ef71b40820611bd17295476ff28f9" width="24" height="24" data-path="logo/sageactive.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated.
      You can obtain this value by using the `GET Companies` endpoint available under the Authentication section. Please use the id field as the companyId.
    </Note>

    Support rawData: `true`

    <br />

    <ResponseField name="id" type="string" />

    <ResponseField name="createdDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>

    <ResponseField name="itemId" type="string" />

    <ResponseField name="name" type="string" />

    <ResponseField name="quantity" type="number">
      Note that quantity can be a decimal numeral.
    </ResponseField>

    <ResponseField name="taxRatePercentage" type="number" />

    <ResponseField name="totalGrossAmount" type="number" />

    <ResponseField name="totalNetAmount" type="number" />

    <ResponseField name="unitAmount" type="number" />

    <ResponseField name="unitDiscountPercentage" type="number" />

    <ResponseField name="updatedDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>
  </Accordion>
</AccordionGroup>


## OpenAPI

````yaml get /accounting/offers/{offerId}/lineItems/{lineItemId}
openapi: 3.0.0
info:
  title: Maesn unified API
  description: The Maesn unified API description
  version: '1.0'
  contact: {}
servers:
  - url: https://api.maesn.dev
security: []
tags:
  - name: maesn
    description: ''
paths:
  /accounting/offers/{offerId}/lineItems/{lineItemId}:
    get:
      tags:
        - accounting
      operationId: getOfferLineItem
      parameters:
        - name: offerId
          required: true
          in: path
          schema:
            type: string
        - name: lineItemId
          required: true
          in: path
          schema:
            type: string
        - name: companyId
          required: false
          in: query
          schema:
            type: string
        - name: environmentName
          in: query
          schema:
            type: string
          required: false
        - name: rawData
          required: false
          in: query
          schema:
            type: boolean
        - name: X-API-KEY
          description: API key
          in: header
          schema:
            type: string
          required: true
        - name: X-ACCOUNT-KEY
          description: Account key
          in: header
          schema:
            type: string
          required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseResponseDto'
                  - properties:
                      data:
                        $ref: '#/components/schemas/OfferLineItemResponseDto'
                        type: object
components:
  schemas:
    BaseResponseDto:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/MetaResponse'
        data:
          oneOf:
            - type: object
            - type: array
    OfferLineItemResponseDto:
      type: object
      properties:
        id:
          type: string
          example: c1f85763-5be6-ee11-a201-6045bde98d28
        accountCode:
          type: string
          example: '8400'
        accountId:
          type: string
          example: a23cc-334rn-finsd-438m
        createdDate:
          type: string
          example: '2021-01-01T00:00:00Z'
        description:
          type: string
          example: SYDNEY Schreibtischstuhl, grün
        itemId:
          type: string
          example: f9f6653e-5be6-ee11-a201-6045bde98d28
        name:
          type: string
          example: GREEN CHAIR
        quantity:
          type: number
          example: 1
        taxCode:
          type: string
          example: CODE.19
        taxRatePercentage:
          type: number
          example: '19'
        taxType:
          type: string
          example: type-19
        type:
          type: string
          enum:
            - COMMENT
            - ACCOUNT
            - ITEM
            - RESOURCE
            - VALUE
            - FIXED_ASSET
            - CHARGE
          example: ITEM
        totalDiscountAmount:
          type: number
          example: 10
        totalDiscountPercentage:
          type: number
          example: 10
        totalGrossAmount:
          type: number
          example: 109
        totalNetAmount:
          type: number
          example: 100
        totalTaxAmount:
          type: number
          example: 19
        unitAmount:
          type: number
          example: 100
        unitDiscountAmount:
          type: number
          example: 10
        unitDiscountPercentage:
          type: number
          example: 10
        unitName:
          type: string
          example: STÜCK
        updatedDate:
          type: string
          example: '2021-01-01T00:00:00Z'
    MetaResponse:
      type: object
      properties:
        warnings:
          type: array
          items:
            type: string
            example: Field not used by target system
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
    PaginationResponse:
      type: object
      properties:
        total:
          type: number
          example: 125
        perPage:
          type: number
          example: 50
        currentPage:
          type: number
          example: 1
        totalPages:
          type: number
          example: 3

````